#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x814e8407, "release_resource" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x1748e277, "serio_unregister_driver" },
	{ 0x905bfcb9, "usb_unlink_urb" },
	{ 0xb859c3d0, "allocate_resource" },
	{ 0x5916f06c, "input_event" },
	{ 0x5c2aec28, "__serio_register_driver" },
	{ 0xa4bcddd6, "usb_deregister" },
	{ 0x1b7d4074, "printk" },
	{ 0xa902c097, "serio_close" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0xa981d61a, "serio_open" },
	{ 0x5b41640c, "usb_submit_urb" },
	{ 0x21167114, "input_register_device" },
	{ 0x17d59d01, "schedule_timeout" },
	{ 0xc281c899, "__wake_up" },
	{ 0x1d10cdb2, "kzalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3fe7fd2, "input_unregister_device" },
	{ 0x7d1ed1f2, "prepare_to_wait" },
	{ 0xd7b05f, "usb_register_driver" },
	{ 0x2a7b11d4, "finish_wait" },
	{ 0x60a4461c, "__up_wakeup" },
	{ 0x96b27088, "__down_failed" },
	{ 0x264b9d81, "usb_free_urb" },
	{ 0x48b47d33, "usb_alloc_urb" },
	{ 0x738fd5e0, "input_allocate_device" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("usb:v044FpA01Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v046DpC281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v046DpC291d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05EFp020Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05EFp8884d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05EFp8888d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061CpC0A4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pA302d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("serio:ty02pr1Did*ex*");
